package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_cloudsdk_parameter"
)
public class TCoreKeyCloudSdkParameter extends TInitEntity {
   private String sdkkeyid;
   private String sdkpassword;
   private String hsmfiledir;
   private String keystoredir;
   private String truststoredir;

   public String getSdkkeyid() {
      return this.sdkkeyid;
   }

   public String getSdkpassword() {
      return this.sdkpassword;
   }

   public String getHsmfiledir() {
      return this.hsmfiledir;
   }

   public String getKeystoredir() {
      return this.keystoredir;
   }

   public String getTruststoredir() {
      return this.truststoredir;
   }

   public void setSdkkeyid(final String sdkkeyid) {
      this.sdkkeyid = sdkkeyid;
   }

   public void setSdkpassword(final String sdkpassword) {
      this.sdkpassword = sdkpassword;
   }

   public void setHsmfiledir(final String hsmfiledir) {
      this.hsmfiledir = hsmfiledir;
   }

   public void setKeystoredir(final String keystoredir) {
      this.keystoredir = keystoredir;
   }

   public void setTruststoredir(final String truststoredir) {
      this.truststoredir = truststoredir;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyCloudSdkParameter)) {
         return false;
      } else {
         TCoreKeyCloudSdkParameter other = (TCoreKeyCloudSdkParameter)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sdkkeyid = this.getSdkkeyid();
            Object other$sdkkeyid = other.getSdkkeyid();
            if (this$sdkkeyid == null) {
               if (other$sdkkeyid != null) {
                  return false;
               }
            } else if (!this$sdkkeyid.equals(other$sdkkeyid)) {
               return false;
            }

            Object this$sdkpassword = this.getSdkpassword();
            Object other$sdkpassword = other.getSdkpassword();
            if (this$sdkpassword == null) {
               if (other$sdkpassword != null) {
                  return false;
               }
            } else if (!this$sdkpassword.equals(other$sdkpassword)) {
               return false;
            }

            Object this$hsmfiledir = this.getHsmfiledir();
            Object other$hsmfiledir = other.getHsmfiledir();
            if (this$hsmfiledir == null) {
               if (other$hsmfiledir != null) {
                  return false;
               }
            } else if (!this$hsmfiledir.equals(other$hsmfiledir)) {
               return false;
            }

            Object this$keystoredir = this.getKeystoredir();
            Object other$keystoredir = other.getKeystoredir();
            if (this$keystoredir == null) {
               if (other$keystoredir != null) {
                  return false;
               }
            } else if (!this$keystoredir.equals(other$keystoredir)) {
               return false;
            }

            Object this$truststoredir = this.getTruststoredir();
            Object other$truststoredir = other.getTruststoredir();
            if (this$truststoredir == null) {
               if (other$truststoredir != null) {
                  return false;
               }
            } else if (!this$truststoredir.equals(other$truststoredir)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyCloudSdkParameter;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $sdkkeyid = this.getSdkkeyid();
      result = result * 59 + ($sdkkeyid == null ? 43 : $sdkkeyid.hashCode());
      Object $sdkpassword = this.getSdkpassword();
      result = result * 59 + ($sdkpassword == null ? 43 : $sdkpassword.hashCode());
      Object $hsmfiledir = this.getHsmfiledir();
      result = result * 59 + ($hsmfiledir == null ? 43 : $hsmfiledir.hashCode());
      Object $keystoredir = this.getKeystoredir();
      result = result * 59 + ($keystoredir == null ? 43 : $keystoredir.hashCode());
      Object $truststoredir = this.getTruststoredir();
      result = result * 59 + ($truststoredir == null ? 43 : $truststoredir.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyCloudSdkParameter(sdkkeyid=" + this.getSdkkeyid() + ", sdkpassword=" + this.getSdkpassword() + ", hsmfiledir=" + this.getHsmfiledir() + ", keystoredir=" + this.getKeystoredir() + ", truststoredir=" + this.getTruststoredir() + ")";
   }
}
